package org.seasar.jsf.selector;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;
import org.seasar.jsf.TagSelector;
import org.seasar.jsf.processor.SelectItemProcessor;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class SelectItemSelector implements TagSelector {

	public SelectItemSelector() {
	}

	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		return JsfConstants.OPTION_ELEM.equalsIgnoreCase(qName);
	}

	public TagProcessor createProcessor() {
		return new SelectItemProcessor();
	}
}